Module org.firebirdsql.jaybird
Package org.firebirdsql.management

# Class FBUser

java.lang.Object
org.firebirdsql.management.FBUser

All Implemented Interfaces:
  `User`

@Deprecated(since="6") public class FBUser extends Object implements User
Deprecated.
Use the SQL user management statements instead, we currently do not plan to remove this API
A user in the Firebird Security Database.

Author:
  Steven Jardine, Roman Rokytskyy

## Constructor Summary

Constructors
Constructor
Description
`FBUser()`
Deprecated.
Create an instance of this class.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Deprecated.
`String`
`getFirstName()`
Deprecated.
`int`
`getGroupId()`
Deprecated.
`String`
`getLastName()`
Deprecated.
`String`
`getMiddleName()`
Deprecated.
`String`
`getPassword()`
Deprecated.
Returns the password as set by setPassword.
`int`
`getUserId()`
Deprecated.
`String`
`getUserName()`
Deprecated.
`int`
`hashCode()`
Deprecated.
`void`
`setFirstName(String firstName)`
Deprecated.
Optional first name of the person using this user name.
`void`
`setGroupId(int groupId)`
Deprecated.
Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
`void`
`setLastName(String lastName)`
Deprecated.
Optional last name of the person using this user name.
`void`
`setMiddleName(String middleName)`
Deprecated.
Optional middle name of the person using this user name.
`void`
`setPassword(String password)`
Deprecated.
Password for the specified user.
`void`
`setUserId(int userId)`
Deprecated.
Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
`void`
`setUserName(String userName)`
Deprecated.
User name to create in security database.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FBUser

public FBUser()
Deprecated.
Create an instance of this class.

## Method Details

### getUserName

public String getUserName()
Deprecated.

Specified by:
  `getUserName` in interface `User`
Returns:
  the username in the security database.

### setUserName

public void setUserName(String userName)
Deprecated.
Description copied from interface: `User`
User name to create in security database. Maximum length is 31 characters. Mandatory for all operations. Must be unique.

Specified by:
  `setUserName` in interface `User`
Parameters:
  `userName` - User name

### getPassword

public String getPassword()
Deprecated.
Description copied from interface: `User`
Returns the password as set by setPassword. This will return null in most cases and is only provided for add and update user functionality.

Specified by:
  `getPassword` in interface `User`
Returns:
  the password for the specified user.

### setPassword

public void setPassword(String password)
Deprecated.
Description copied from interface: `User`
Password for the specified user. Maximum length is 31 characters. Only first 8 characters are significant.

Specified by:
  `setPassword` in interface `User`
Parameters:
  `password` - Password

### getFirstName

public String getFirstName()
Deprecated.

Specified by:
  `getFirstName` in interface `User`
Returns:
  first name of the person using this user name.

### setFirstName

public void setFirstName(String firstName)
Deprecated.
Description copied from interface: `User`
Optional first name of the person using this user name.

Specified by:
  `setFirstName` in interface `User`
Parameters:
  `firstName` - First name

### getMiddleName

public String getMiddleName()
Deprecated.

Specified by:
  `getMiddleName` in interface `User`
Returns:
  middle name of the person using this user name.

### setMiddleName

public void setMiddleName(String middleName)
Deprecated.
Description copied from interface: `User`
Optional middle name of the person using this user name.

Specified by:
  `setMiddleName` in interface `User`
Parameters:
  `middleName` - Middle name

### getLastName

public String getLastName()
Deprecated.

Specified by:
  `getLastName` in interface `User`
Returns:
  last name of the person using this user name.

### setLastName

public void setLastName(String lastName)
Deprecated.
Description copied from interface: `User`
Optional last name of the person using this user name.

Specified by:
  `setLastName` in interface `User`
Parameters:
  `lastName` - Last name

### getUserId

public int getUserId()
Deprecated.

Specified by:
  `getUserId` in interface `User`
Returns:
  user id number.

### setUserId

public void setUserId(int userId)
Deprecated.
Description copied from interface: `User`
Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation

Specified by:
  `setUserId` in interface `User`
Parameters:
  `userId` - Id of the user

### getGroupId

public int getGroupId()
Deprecated.

Specified by:
  `getGroupId` in interface `User`
Returns:
  group id number.

### setGroupId

public void setGroupId(int groupId)
Deprecated.
Description copied from interface: `User`
Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation

Specified by:
  `setGroupId` in interface `User`
Parameters:
  `groupId` - Id of the group

### equals

public boolean equals(Object obj)
Deprecated.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`